@ -0,0 +1,8 @@ | |||||
# Default ignored files | |||||
/shelf/ | |||||
/workspace.xml | |||||
# Editor-based HTTP Client requests | |||||
/httpRequests/ | |||||
# Datasource local storage ignored files | |||||
/dataSources/ | |||||
/dataSources.local.xml |
@ -0,0 +1,23 @@ | |||||
<?xml version="1.0" encoding="UTF-8"?> | |||||
<module org.jetbrains.idea.maven.project.MavenProjectsManager.isMavenModule="true" type="JAVA_MODULE" version="4"> | |||||
<component name="NewModuleRootManager" LANGUAGE_LEVEL="JDK_18"> | |||||
<output url="file://$MODULE_DIR$/target/classes" /> | |||||
<output-test url="file://$MODULE_DIR$/target/test-classes" /> | |||||
<content url="file://$MODULE_DIR$"> | |||||
<sourceFolder url="file://$MODULE_DIR$/src/main/java" isTestSource="false" /> | |||||
<sourceFolder url="file://$MODULE_DIR$/src/main/resources" type="java-resource" /> | |||||
<excludeFolder url="file://$MODULE_DIR$/target" /> | |||||
</content> | |||||
<orderEntry type="inheritedJdk" /> | |||||
<orderEntry type="sourceFolder" forTests="false" /> | |||||
<orderEntry type="library" name="Maven: org.openjfx:javafx-controls:18.0.1" level="project" /> | |||||
<orderEntry type="library" name="Maven: org.openjfx:javafx-controls:win:18.0.1" level="project" /> | |||||
<orderEntry type="library" name="Maven: org.openjfx:javafx-graphics:18.0.1" level="project" /> | |||||
<orderEntry type="library" name="Maven: org.openjfx:javafx-graphics:win:18.0.1" level="project" /> | |||||
<orderEntry type="library" name="Maven: org.openjfx:javafx-base:18.0.1" level="project" /> | |||||
<orderEntry type="library" name="Maven: org.openjfx:javafx-base:win:18.0.1" level="project" /> | |||||
<orderEntry type="library" name="Maven: org.openjfx:javafx-fxml:18.0.1" level="project" /> | |||||
<orderEntry type="library" name="Maven: org.openjfx:javafx-fxml:win:18.0.1" level="project" /> | |||||
<orderEntry type="library" name="Maven: org.kordamp.bootstrapfx:bootstrapfx-core:0.4.0" level="project" /> | |||||
</component> | |||||
</module> |
@ -0,0 +1,16 @@ | |||||
<?xml version="1.0" encoding="UTF-8"?> | |||||
<project version="4"> | |||||
<component name="CompilerConfiguration"> | |||||
<annotationProcessing> | |||||
<profile name="Maven default annotation processors profile" enabled="true"> | |||||
<sourceOutputDir name="target/generated-sources/annotations" /> | |||||
<sourceTestOutputDir name="target/generated-test-sources/test-annotations" /> | |||||
<outputRelativeToContentRoot value="true" /> | |||||
<module name="RecoverTheSerialized" /> | |||||
</profile> | |||||
</annotationProcessing> | |||||
<bytecodeTargetLevel> | |||||
<module name="RecoverTheSerialized" target="18" /> | |||||
</bytecodeTargetLevel> | |||||
</component> | |||||
</project> |
@ -0,0 +1,7 @@ | |||||
<?xml version="1.0" encoding="UTF-8"?> | |||||
<project version="4"> | |||||
<component name="Encoding"> | |||||
<file url="file://$PROJECT_DIR$/src/main/java" charset="UTF-8" /> | |||||
<file url="file://$PROJECT_DIR$/src/main/resources" charset="UTF-8" /> | |||||
</component> | |||||
</project> |
@ -0,0 +1,20 @@ | |||||
<?xml version="1.0" encoding="UTF-8"?> | |||||
<project version="4"> | |||||
<component name="RemoteRepositoriesConfiguration"> | |||||
<remote-repository> | |||||
<option name="id" value="central" /> | |||||
<option name="name" value="Central Repository" /> | |||||
<option name="url" value="https://repo.maven.apache.org/maven2" /> | |||||
</remote-repository> | |||||
<remote-repository> | |||||
<option name="id" value="central" /> | |||||
<option name="name" value="Maven Central repository" /> | |||||
<option name="url" value="https://repo1.maven.org/maven2" /> | |||||
</remote-repository> | |||||
<remote-repository> | |||||
<option name="id" value="jboss.community" /> | |||||
<option name="name" value="JBoss Community repository" /> | |||||
<option name="url" value="https://repository.jboss.org/nexus/content/repositories/public/" /> | |||||
</remote-repository> | |||||
</component> | |||||
</project> |
@ -0,0 +1,13 @@ | |||||
<component name="libraryTable"> | |||||
<library name="Maven: org.kordamp.bootstrapfx:bootstrapfx-core:0.4.0"> | |||||
<CLASSES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/kordamp/bootstrapfx/bootstrapfx-core/0.4.0/bootstrapfx-core-0.4.0.jar!/" /> | |||||
</CLASSES> | |||||
<JAVADOC> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/kordamp/bootstrapfx/bootstrapfx-core/0.4.0/bootstrapfx-core-0.4.0-javadoc.jar!/" /> | |||||
</JAVADOC> | |||||
<SOURCES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/kordamp/bootstrapfx/bootstrapfx-core/0.4.0/bootstrapfx-core-0.4.0-sources.jar!/" /> | |||||
</SOURCES> | |||||
</library> | |||||
</component> |
@ -0,0 +1,13 @@ | |||||
<component name="libraryTable"> | |||||
<library name="Maven: org.openjfx:javafx-base:18.0.1"> | |||||
<CLASSES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-base/18.0.1/javafx-base-18.0.1.jar!/" /> | |||||
</CLASSES> | |||||
<JAVADOC> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-base/18.0.1/javafx-base-18.0.1-javadoc.jar!/" /> | |||||
</JAVADOC> | |||||
<SOURCES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-base/18.0.1/javafx-base-18.0.1-sources.jar!/" /> | |||||
</SOURCES> | |||||
</library> | |||||
</component> |
@ -0,0 +1,13 @@ | |||||
<component name="libraryTable"> | |||||
<library name="Maven: org.openjfx:javafx-base:win:18.0.1"> | |||||
<CLASSES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-base/18.0.1/javafx-base-18.0.1-win.jar!/" /> | |||||
</CLASSES> | |||||
<JAVADOC> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-base/18.0.1/javafx-base-18.0.1-javadoc.jar!/" /> | |||||
</JAVADOC> | |||||
<SOURCES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-base/18.0.1/javafx-base-18.0.1-sources.jar!/" /> | |||||
</SOURCES> | |||||
</library> | |||||
</component> |
@ -0,0 +1,13 @@ | |||||
<component name="libraryTable"> | |||||
<library name="Maven: org.openjfx:javafx-controls:18.0.1"> | |||||
<CLASSES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-controls/18.0.1/javafx-controls-18.0.1.jar!/" /> | |||||
</CLASSES> | |||||
<JAVADOC> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-controls/18.0.1/javafx-controls-18.0.1-javadoc.jar!/" /> | |||||
</JAVADOC> | |||||
<SOURCES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-controls/18.0.1/javafx-controls-18.0.1-sources.jar!/" /> | |||||
</SOURCES> | |||||
</library> | |||||
</component> |
@ -0,0 +1,13 @@ | |||||
<component name="libraryTable"> | |||||
<library name="Maven: org.openjfx:javafx-controls:win:18.0.1"> | |||||
<CLASSES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-controls/18.0.1/javafx-controls-18.0.1-win.jar!/" /> | |||||
</CLASSES> | |||||
<JAVADOC> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-controls/18.0.1/javafx-controls-18.0.1-javadoc.jar!/" /> | |||||
</JAVADOC> | |||||
<SOURCES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-controls/18.0.1/javafx-controls-18.0.1-sources.jar!/" /> | |||||
</SOURCES> | |||||
</library> | |||||
</component> |
@ -0,0 +1,13 @@ | |||||
<component name="libraryTable"> | |||||
<library name="Maven: org.openjfx:javafx-fxml:18.0.1"> | |||||
<CLASSES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-fxml/18.0.1/javafx-fxml-18.0.1.jar!/" /> | |||||
</CLASSES> | |||||
<JAVADOC> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-fxml/18.0.1/javafx-fxml-18.0.1-javadoc.jar!/" /> | |||||
</JAVADOC> | |||||
<SOURCES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-fxml/18.0.1/javafx-fxml-18.0.1-sources.jar!/" /> | |||||
</SOURCES> | |||||
</library> | |||||
</component> |
@ -0,0 +1,13 @@ | |||||
<component name="libraryTable"> | |||||
<library name="Maven: org.openjfx:javafx-fxml:win:18.0.1"> | |||||
<CLASSES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-fxml/18.0.1/javafx-fxml-18.0.1-win.jar!/" /> | |||||
</CLASSES> | |||||
<JAVADOC> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-fxml/18.0.1/javafx-fxml-18.0.1-javadoc.jar!/" /> | |||||
</JAVADOC> | |||||
<SOURCES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-fxml/18.0.1/javafx-fxml-18.0.1-sources.jar!/" /> | |||||
</SOURCES> | |||||
</library> | |||||
</component> |
@ -0,0 +1,13 @@ | |||||
<component name="libraryTable"> | |||||
<library name="Maven: org.openjfx:javafx-graphics:18.0.1"> | |||||
<CLASSES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-graphics/18.0.1/javafx-graphics-18.0.1.jar!/" /> | |||||
</CLASSES> | |||||
<JAVADOC> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-graphics/18.0.1/javafx-graphics-18.0.1-javadoc.jar!/" /> | |||||
</JAVADOC> | |||||
<SOURCES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-graphics/18.0.1/javafx-graphics-18.0.1-sources.jar!/" /> | |||||
</SOURCES> | |||||
</library> | |||||
</component> |
@ -0,0 +1,13 @@ | |||||
<component name="libraryTable"> | |||||
<library name="Maven: org.openjfx:javafx-graphics:win:18.0.1"> | |||||
<CLASSES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-graphics/18.0.1/javafx-graphics-18.0.1-win.jar!/" /> | |||||
</CLASSES> | |||||
<JAVADOC> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-graphics/18.0.1/javafx-graphics-18.0.1-javadoc.jar!/" /> | |||||
</JAVADOC> | |||||
<SOURCES> | |||||
<root url="jar://$MAVEN_REPOSITORY$/org/openjfx/javafx-graphics/18.0.1/javafx-graphics-18.0.1-sources.jar!/" /> | |||||
</SOURCES> | |||||
</library> | |||||
</component> |
@ -0,0 +1,13 @@ | |||||
<?xml version="1.0" encoding="UTF-8"?> | |||||
<project version="4"> | |||||
<component name="MavenProjectsManager"> | |||||
<option name="originalFiles"> | |||||
<list> | |||||
<option value="$PROJECT_DIR$/pom.xml" /> | |||||
</list> | |||||
</option> | |||||
</component> | |||||
<component name="ProjectRootManager" version="2" languageLevel="JDK_18" default="true" project-jdk-name="openjdk-18" project-jdk-type="JavaSDK"> | |||||
<output url="file://$PROJECT_DIR$/out" /> | |||||
</component> | |||||
</project> |
@ -0,0 +1,8 @@ | |||||
<?xml version="1.0" encoding="UTF-8"?> | |||||
<project version="4"> | |||||
<component name="ProjectModuleManager"> | |||||
<modules> | |||||
<module fileurl="file://$PROJECT_DIR$/.idea/RecoverTheSerialized.iml" filepath="$PROJECT_DIR$/.idea/RecoverTheSerialized.iml" /> | |||||
</modules> | |||||
</component> | |||||
</project> |
@ -0,0 +1,6 @@ | |||||
<?xml version="1.0" encoding="UTF-8"?> | |||||
<project version="4"> | |||||
<component name="VcsDirectoryMappings"> | |||||
<mapping directory="$PROJECT_DIR$" vcs="Git" /> | |||||
</component> | |||||
</project> |
@ -0,0 +1,2 @@ | |||||
distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.8.5/apache-maven-3.8.5-bin.zip | |||||
wrapperUrl=https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar |
@ -0,0 +1 @@ | |||||
# Hola Java FX |
@ -0,0 +1,316 @@ | |||||
#!/bin/sh | |||||
# ---------------------------------------------------------------------------- | |||||
# Licensed to the Apache Software Foundation (ASF) under one | |||||
# or more contributor license agreements. See the NOTICE file | |||||
# distributed with this work for additional information | |||||
# regarding copyright ownership. The ASF licenses this file | |||||
# to you under the Apache License, Version 2.0 (the | |||||
# "License"); you may not use this file except in compliance | |||||
# with the License. You may obtain a copy of the License at | |||||
# | |||||
# https://www.apache.org/licenses/LICENSE-2.0 | |||||
# | |||||
# Unless required by applicable law or agreed to in writing, | |||||
# software distributed under the License is distributed on an | |||||
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY | |||||
# KIND, either express or implied. See the License for the | |||||
# specific language governing permissions and limitations | |||||
# under the License. | |||||
# ---------------------------------------------------------------------------- | |||||
# ---------------------------------------------------------------------------- | |||||
# Maven Start Up Batch script | |||||
# | |||||
# Required ENV vars: | |||||
# ------------------ | |||||
# JAVA_HOME - location of a JDK home dir | |||||
# | |||||
# Optional ENV vars | |||||
# ----------------- | |||||
# M2_HOME - location of maven2's installed home dir | |||||
# MAVEN_OPTS - parameters passed to the Java VM when running Maven | |||||
# e.g. to debug Maven itself, use | |||||
# set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000 | |||||
# MAVEN_SKIP_RC - flag to disable loading of mavenrc files | |||||
# ---------------------------------------------------------------------------- | |||||
if [ -z "$MAVEN_SKIP_RC" ] ; then | |||||
if [ -f /usr/local/etc/mavenrc ] ; then | |||||
. /usr/local/etc/mavenrc | |||||
fi | |||||
if [ -f /etc/mavenrc ] ; then | |||||
. /etc/mavenrc | |||||
fi | |||||
if [ -f "$HOME/.mavenrc" ] ; then | |||||
. "$HOME/.mavenrc" | |||||
fi | |||||
fi | |||||
# OS specific support. $var _must_ be set to either true or false. | |||||
cygwin=false; | |||||
darwin=false; | |||||
mingw=false | |||||
case "`uname`" in | |||||
CYGWIN*) cygwin=true ;; | |||||
MINGW*) mingw=true;; | |||||
Darwin*) darwin=true | |||||
# Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home | |||||
# See https://developer.apple.com/library/mac/qa/qa1170/_index.html | |||||
if [ -z "$JAVA_HOME" ]; then | |||||
if [ -x "/usr/libexec/java_home" ]; then | |||||
export JAVA_HOME="`/usr/libexec/java_home`" | |||||
else | |||||
export JAVA_HOME="/Library/Java/Home" | |||||
fi | |||||
fi | |||||
;; | |||||
esac | |||||
if [ -z "$JAVA_HOME" ] ; then | |||||
if [ -r /etc/gentoo-release ] ; then | |||||
JAVA_HOME=`java-config --jre-home` | |||||
fi | |||||
fi | |||||
if [ -z "$M2_HOME" ] ; then | |||||
## resolve links - $0 may be a link to maven's home | |||||
PRG="$0" | |||||
# need this for relative symlinks | |||||
while [ -h "$PRG" ] ; do | |||||
ls=`ls -ld "$PRG"` | |||||
link=`expr "$ls" : '.*-> \(.*\)$'` | |||||
if expr "$link" : '/.*' > /dev/null; then | |||||
PRG="$link" | |||||
else | |||||
PRG="`dirname "$PRG"`/$link" | |||||
fi | |||||
done | |||||
saveddir=`pwd` | |||||
M2_HOME=`dirname "$PRG"`/.. | |||||
# make it fully qualified | |||||
M2_HOME=`cd "$M2_HOME" && pwd` | |||||
cd "$saveddir" | |||||
# echo Using m2 at $M2_HOME | |||||
fi | |||||
# For Cygwin, ensure paths are in UNIX format before anything is touched | |||||
if $cygwin ; then | |||||
[ -n "$M2_HOME" ] && | |||||
M2_HOME=`cygpath --unix "$M2_HOME"` | |||||
[ -n "$JAVA_HOME" ] && | |||||
JAVA_HOME=`cygpath --unix "$JAVA_HOME"` | |||||
[ -n "$CLASSPATH" ] && | |||||
CLASSPATH=`cygpath --path --unix "$CLASSPATH"` | |||||
fi | |||||
# For Mingw, ensure paths are in UNIX format before anything is touched | |||||
if $mingw ; then | |||||
[ -n "$M2_HOME" ] && | |||||
M2_HOME="`(cd "$M2_HOME"; pwd)`" | |||||
[ -n "$JAVA_HOME" ] && | |||||
JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`" | |||||
fi | |||||
if [ -z "$JAVA_HOME" ]; then | |||||
javaExecutable="`which javac`" | |||||
if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then | |||||
# readlink(1) is not available as standard on Solaris 10. | |||||
readLink=`which readlink` | |||||
if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then | |||||
if $darwin ; then | |||||
javaHome="`dirname \"$javaExecutable\"`" | |||||
javaExecutable="`cd \"$javaHome\" && pwd -P`/javac" | |||||
else | |||||
javaExecutable="`readlink -f \"$javaExecutable\"`" | |||||
fi | |||||
javaHome="`dirname \"$javaExecutable\"`" | |||||
javaHome=`expr "$javaHome" : '\(.*\)/bin'` | |||||
JAVA_HOME="$javaHome" | |||||
export JAVA_HOME | |||||
fi | |||||
fi | |||||
fi | |||||
if [ -z "$JAVACMD" ] ; then | |||||
if [ -n "$JAVA_HOME" ] ; then | |||||
if [ -x "$JAVA_HOME/jre/sh/java" ] ; then | |||||
# IBM's JDK on AIX uses strange locations for the executables | |||||
JAVACMD="$JAVA_HOME/jre/sh/java" | |||||
else | |||||
JAVACMD="$JAVA_HOME/bin/java" | |||||
fi | |||||
else | |||||
JAVACMD="`\\unset -f command; \\command -v java`" | |||||
fi | |||||
fi | |||||
if [ ! -x "$JAVACMD" ] ; then | |||||
echo "Error: JAVA_HOME is not defined correctly." >&2 | |||||
echo " We cannot execute $JAVACMD" >&2 | |||||
exit 1 | |||||
fi | |||||
if [ -z "$JAVA_HOME" ] ; then | |||||
echo "Warning: JAVA_HOME environment variable is not set." | |||||
fi | |||||
CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher | |||||
# traverses directory structure from process work directory to filesystem root | |||||
# first directory with .mvn subdirectory is considered project base directory | |||||
find_maven_basedir() { | |||||
if [ -z "$1" ] | |||||
then | |||||
echo "Path not specified to find_maven_basedir" | |||||
return 1 | |||||
fi | |||||
basedir="$1" | |||||
wdir="$1" | |||||
while [ "$wdir" != '/' ] ; do | |||||
if [ -d "$wdir"/.mvn ] ; then | |||||
basedir=$wdir | |||||
break | |||||
fi | |||||
# workaround for JBEAP-8937 (on Solaris 10/Sparc) | |||||
if [ -d "${wdir}" ]; then | |||||
wdir=`cd "$wdir/.."; pwd` | |||||
fi | |||||
# end of workaround | |||||
done | |||||
echo "${basedir}" | |||||
} | |||||
# concatenates all lines of a file | |||||
concat_lines() { | |||||
if [ -f "$1" ]; then | |||||
echo "$(tr -s '\n' ' ' < "$1")" | |||||
fi | |||||
} | |||||
BASE_DIR=`find_maven_basedir "$(pwd)"` | |||||
if [ -z "$BASE_DIR" ]; then | |||||
exit 1; | |||||
fi | |||||
########################################################################################## | |||||
# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central | |||||
# This allows using the maven wrapper in projects that prohibit checking in binary data. | |||||
########################################################################################## | |||||
if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo "Found .mvn/wrapper/maven-wrapper.jar" | |||||
fi | |||||
else | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..." | |||||
fi | |||||
if [ -n "$MVNW_REPOURL" ]; then | |||||
jarUrl="$MVNW_REPOURL/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar" | |||||
else | |||||
jarUrl="https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar" | |||||
fi | |||||
while IFS="=" read key value; do | |||||
case "$key" in (wrapperUrl) jarUrl="$value"; break ;; | |||||
esac | |||||
done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties" | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo "Downloading from: $jarUrl" | |||||
fi | |||||
wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" | |||||
if $cygwin; then | |||||
wrapperJarPath=`cygpath --path --windows "$wrapperJarPath"` | |||||
fi | |||||
if command -v wget > /dev/null; then | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo "Found wget ... using wget" | |||||
fi | |||||
if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then | |||||
wget "$jarUrl" -O "$wrapperJarPath" || rm -f "$wrapperJarPath" | |||||
else | |||||
wget --http-user=$MVNW_USERNAME --http-password=$MVNW_PASSWORD "$jarUrl" -O "$wrapperJarPath" || rm -f "$wrapperJarPath" | |||||
fi | |||||
elif command -v curl > /dev/null; then | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo "Found curl ... using curl" | |||||
fi | |||||
if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then | |||||
curl -o "$wrapperJarPath" "$jarUrl" -f | |||||
else | |||||
curl --user $MVNW_USERNAME:$MVNW_PASSWORD -o "$wrapperJarPath" "$jarUrl" -f | |||||
fi | |||||
else | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo "Falling back to using Java to download" | |||||
fi | |||||
javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java" | |||||
# For Cygwin, switch paths to Windows format before running javac | |||||
if $cygwin; then | |||||
javaClass=`cygpath --path --windows "$javaClass"` | |||||
fi | |||||
if [ -e "$javaClass" ]; then | |||||
if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo " - Compiling MavenWrapperDownloader.java ..." | |||||
fi | |||||
# Compiling the Java class | |||||
("$JAVA_HOME/bin/javac" "$javaClass") | |||||
fi | |||||
if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then | |||||
# Running the downloader | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo " - Running MavenWrapperDownloader.java ..." | |||||
fi | |||||
("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR") | |||||
fi | |||||
fi | |||||
fi | |||||
fi | |||||
########################################################################################## | |||||
# End of extension | |||||
########################################################################################## | |||||
export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"} | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo $MAVEN_PROJECTBASEDIR | |||||
fi | |||||
MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS" | |||||
# For Cygwin, switch paths to Windows format before running java | |||||
if $cygwin; then | |||||
[ -n "$M2_HOME" ] && | |||||
M2_HOME=`cygpath --path --windows "$M2_HOME"` | |||||
[ -n "$JAVA_HOME" ] && | |||||
JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"` | |||||
[ -n "$CLASSPATH" ] && | |||||
CLASSPATH=`cygpath --path --windows "$CLASSPATH"` | |||||
[ -n "$MAVEN_PROJECTBASEDIR" ] && | |||||
MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"` | |||||
fi | |||||
# Provide a "standardized" way to retrieve the CLI args that will | |||||
# work with both Windows and non-Windows executions. | |||||
MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@" | |||||
export MAVEN_CMD_LINE_ARGS | |||||
WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain | |||||
exec "$JAVACMD" \ | |||||
$MAVEN_OPTS \ | |||||
$MAVEN_DEBUG_OPTS \ | |||||
-classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \ | |||||
"-Dmaven.home=${M2_HOME}" \ | |||||
"-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \ | |||||
${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@" |
@ -0,0 +1,188 @@ | |||||
@REM ---------------------------------------------------------------------------- | |||||
@REM Licensed to the Apache Software Foundation (ASF) under one | |||||
@REM or more contributor license agreements. See the NOTICE file | |||||
@REM distributed with this work for additional information | |||||
@REM regarding copyright ownership. The ASF licenses this file | |||||
@REM to you under the Apache License, Version 2.0 (the | |||||
@REM "License"); you may not use this file except in compliance | |||||
@REM with the License. You may obtain a copy of the License at | |||||
@REM | |||||
@REM https://www.apache.org/licenses/LICENSE-2.0 | |||||
@REM | |||||
@REM Unless required by applicable law or agreed to in writing, | |||||
@REM software distributed under the License is distributed on an | |||||
@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY | |||||
@REM KIND, either express or implied. See the License for the | |||||
@REM specific language governing permissions and limitations | |||||
@REM under the License. | |||||
@REM ---------------------------------------------------------------------------- | |||||
@REM ---------------------------------------------------------------------------- | |||||
@REM Maven Start Up Batch script | |||||
@REM | |||||
@REM Required ENV vars: | |||||
@REM JAVA_HOME - location of a JDK home dir | |||||
@REM | |||||
@REM Optional ENV vars | |||||
@REM M2_HOME - location of maven2's installed home dir | |||||
@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands | |||||
@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a keystroke before ending | |||||
@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven | |||||
@REM e.g. to debug Maven itself, use | |||||
@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000 | |||||
@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files | |||||
@REM ---------------------------------------------------------------------------- | |||||
@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on' | |||||
@echo off | |||||
@REM set title of command window | |||||
title %0 | |||||
@REM enable echoing by setting MAVEN_BATCH_ECHO to 'on' | |||||
@if "%MAVEN_BATCH_ECHO%" == "on" echo %MAVEN_BATCH_ECHO% | |||||
@REM set %HOME% to equivalent of $HOME | |||||
if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%") | |||||
@REM Execute a user defined script before this one | |||||
if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre | |||||
@REM check for pre script, once with legacy .bat ending and once with .cmd ending | |||||
if exist "%USERPROFILE%\mavenrc_pre.bat" call "%USERPROFILE%\mavenrc_pre.bat" %* | |||||
if exist "%USERPROFILE%\mavenrc_pre.cmd" call "%USERPROFILE%\mavenrc_pre.cmd" %* | |||||
:skipRcPre | |||||
@setlocal | |||||
set ERROR_CODE=0 | |||||
@REM To isolate internal variables from possible post scripts, we use another setlocal | |||||
@setlocal | |||||
@REM ==== START VALIDATION ==== | |||||
if not "%JAVA_HOME%" == "" goto OkJHome | |||||
echo. | |||||
echo Error: JAVA_HOME not found in your environment. >&2 | |||||
echo Please set the JAVA_HOME variable in your environment to match the >&2 | |||||
echo location of your Java installation. >&2 | |||||
echo. | |||||
goto error | |||||
:OkJHome | |||||
if exist "%JAVA_HOME%\bin\java.exe" goto init | |||||
echo. | |||||
echo Error: JAVA_HOME is set to an invalid directory. >&2 | |||||
echo JAVA_HOME = "%JAVA_HOME%" >&2 | |||||
echo Please set the JAVA_HOME variable in your environment to match the >&2 | |||||
echo location of your Java installation. >&2 | |||||
echo. | |||||
goto error | |||||
@REM ==== END VALIDATION ==== | |||||
:init | |||||
@REM Find the project base dir, i.e. the directory that contains the folder ".mvn". | |||||
@REM Fallback to current working directory if not found. | |||||
set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR% | |||||
IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir | |||||
set EXEC_DIR=%CD% | |||||
set WDIR=%EXEC_DIR% | |||||
:findBaseDir | |||||
IF EXIST "%WDIR%"\.mvn goto baseDirFound | |||||
cd .. | |||||
IF "%WDIR%"=="%CD%" goto baseDirNotFound | |||||
set WDIR=%CD% | |||||
goto findBaseDir | |||||
:baseDirFound | |||||
set MAVEN_PROJECTBASEDIR=%WDIR% | |||||
cd "%EXEC_DIR%" | |||||
goto endDetectBaseDir | |||||
:baseDirNotFound | |||||
set MAVEN_PROJECTBASEDIR=%EXEC_DIR% | |||||
cd "%EXEC_DIR%" | |||||
:endDetectBaseDir | |||||
IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig | |||||
@setlocal EnableExtensions EnableDelayedExpansion | |||||
for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a | |||||
@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS% | |||||
:endReadAdditionalConfig | |||||
SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe" | |||||
set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar" | |||||
set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain | |||||
set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar" | |||||
FOR /F "usebackq tokens=1,2 delims==" %%A IN ("%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties") DO ( | |||||
IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B | |||||
) | |||||
@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central | |||||
@REM This allows using the maven wrapper in projects that prohibit checking in binary data. | |||||
if exist %WRAPPER_JAR% ( | |||||
if "%MVNW_VERBOSE%" == "true" ( | |||||
echo Found %WRAPPER_JAR% | |||||
) | |||||
) else ( | |||||
if not "%MVNW_REPOURL%" == "" ( | |||||
SET DOWNLOAD_URL="%MVNW_REPOURL%/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar" | |||||
) | |||||
if "%MVNW_VERBOSE%" == "true" ( | |||||
echo Couldn't find %WRAPPER_JAR%, downloading it ... | |||||
echo Downloading from: %DOWNLOAD_URL% | |||||
) | |||||
powershell -Command "&{"^ | |||||
"$webclient = new-object System.Net.WebClient;"^ | |||||
"if (-not ([string]::IsNullOrEmpty('%MVNW_USERNAME%') -and [string]::IsNullOrEmpty('%MVNW_PASSWORD%'))) {"^ | |||||
"$webclient.Credentials = new-object System.Net.NetworkCredential('%MVNW_USERNAME%', '%MVNW_PASSWORD%');"^ | |||||
"}"^ | |||||
"[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; $webclient.DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"^ | |||||
"}" | |||||
if "%MVNW_VERBOSE%" == "true" ( | |||||
echo Finished downloading %WRAPPER_JAR% | |||||
) | |||||
) | |||||
@REM End of extension | |||||
@REM Provide a "standardized" way to retrieve the CLI args that will | |||||
@REM work with both Windows and non-Windows executions. | |||||
set MAVEN_CMD_LINE_ARGS=%* | |||||
%MAVEN_JAVA_EXE% ^ | |||||
%JVM_CONFIG_MAVEN_PROPS% ^ | |||||
%MAVEN_OPTS% ^ | |||||
%MAVEN_DEBUG_OPTS% ^ | |||||
-classpath %WRAPPER_JAR% ^ | |||||
"-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" ^ | |||||
%WRAPPER_LAUNCHER% %MAVEN_CONFIG% %* | |||||
if ERRORLEVEL 1 goto error | |||||
goto end | |||||
:error | |||||
set ERROR_CODE=1 | |||||
:end | |||||
@endlocal & set ERROR_CODE=%ERROR_CODE% | |||||
if not "%MAVEN_SKIP_RC%"=="" goto skipRcPost | |||||
@REM check for post script, once with legacy .bat ending and once with .cmd ending | |||||
if exist "%USERPROFILE%\mavenrc_post.bat" call "%USERPROFILE%\mavenrc_post.bat" | |||||
if exist "%USERPROFILE%\mavenrc_post.cmd" call "%USERPROFILE%\mavenrc_post.cmd" | |||||
:skipRcPost | |||||
@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on' | |||||
if "%MAVEN_BATCH_PAUSE%"=="on" pause | |||||
if "%MAVEN_TERMINATE_CMD%"=="on" exit %ERROR_CODE% | |||||
cmd /C exit /B %ERROR_CODE% |
@ -0,0 +1,68 @@ | |||||
<?xml version="1.0" encoding="UTF-8"?> | |||||
<project xmlns="http://maven.apache.org/POM/4.0.0" | |||||
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" | |||||
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd"> | |||||
<modelVersion>4.0.0</modelVersion> | |||||
<groupId>com.example</groupId> | |||||
<artifactId>javafx</artifactId> | |||||
<version>1.0-SNAPSHOT</version> | |||||
<name>javafx</name> | |||||
<properties> | |||||
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding> | |||||
</properties> | |||||
<dependencies> | |||||
<dependency> | |||||
<groupId>org.openjfx</groupId> | |||||
<artifactId>javafx-controls</artifactId> | |||||
<version>18.0.1</version> | |||||
</dependency> | |||||
<dependency> | |||||
<groupId>org.openjfx</groupId> | |||||
<artifactId>javafx-fxml</artifactId> | |||||
<version>18.0.1</version> | |||||
</dependency> | |||||
<dependency> | |||||
<groupId>org.kordamp.bootstrapfx</groupId> | |||||
<artifactId>bootstrapfx-core</artifactId> | |||||
<version>0.4.0</version> | |||||
</dependency> | |||||
</dependencies> | |||||
<build> | |||||
<plugins> | |||||
<plugin> | |||||
<groupId>org.apache.maven.plugins</groupId> | |||||
<artifactId>maven-compiler-plugin</artifactId> | |||||
<version>3.10.1</version> | |||||
<configuration> | |||||
<source>18</source> | |||||
<target>18</target> | |||||
</configuration> | |||||
</plugin> | |||||
<plugin> | |||||
<groupId>org.openjfx</groupId> | |||||
<artifactId>javafx-maven-plugin</artifactId> | |||||
<version>0.0.8</version> | |||||
<executions> | |||||
<execution> | |||||
<!-- Default configuration for running with: mvn clean javafx:run --> | |||||
<id>default-cli</id> | |||||
<configuration> | |||||
<mainClass>com.example.javafx/com.example.javafx.HelloApplication</mainClass> | |||||
<launcher>app</launcher> | |||||
<jlinkZipName>app</jlinkZipName> | |||||
<jlinkImageName>app</jlinkImageName> | |||||
<noManPages>true</noManPages> | |||||
<stripDebug>true</stripDebug> | |||||
<noHeaderFiles>true</noHeaderFiles> | |||||
</configuration> | |||||
</execution> | |||||
</executions> | |||||
</plugin> | |||||
</plugins> | |||||
</build> | |||||
</project> |
@ -0,0 +1,70 @@ | |||||
package com.example.javafx; | |||||
import javafx.application.Application; | |||||
import javafx.application.Platform; | |||||
import javafx.fxml.FXMLLoader; | |||||
import javafx.scene.Scene; | |||||
import javafx.scene.control.Button; | |||||
import javafx.scene.control.Label; | |||||
import javafx.scene.control.TextField; | |||||
import javafx.scene.layout.VBox; | |||||
import javafx.stage.Stage; | |||||
import java.io.IOException; | |||||
public class HelloApplication /*extends Application*/ { | |||||
/*@Override*/ | |||||
public void start(Stage stage) throws IOException { | |||||
// Opción 1 | |||||
/* | |||||
Label label = new Label("Pon tu nombre"); | |||||
TextField textField = new TextField(); | |||||
Button sayHelloBtn = new Button("Di hola"); | |||||
Button exitBtn = new Button("Salir"); | |||||
Label message = new Label(); | |||||
message.setStyle("-ft-text-fill: #e825e6"); | |||||
sayHelloBtn.setOnAction(event -> { | |||||
String name = textField.getText(); | |||||
if (name.trim().length()>0) { | |||||
message.setText("Hola "+name); | |||||
} else { | |||||
message.setText("Hola !!"); | |||||
} | |||||
}); | |||||
exitBtn.setOnAction(e -> Platform.exit()); | |||||
VBox root = new VBox(); | |||||
root.setSpacing(5); | |||||
root.getChildren().addAll(label, textField, sayHelloBtn, exitBtn, message); | |||||
Scene scene = new Scene(root, 400, 400); | |||||
stage.setScene(scene); | |||||
stage.setTitle("Mi Aplicación"); | |||||
stage.show(); | |||||
*/ | |||||
//Opción 2, | |||||
FXMLLoader fxmlLoader = new FXMLLoader(HelloApplication.class.getResource("student-list.fxml")); | |||||
Scene scene = new Scene(fxmlLoader.load(), 400, 400); | |||||
stage.setTitle("Hello!"); | |||||
stage.setScene(scene); | |||||
stage.show(); | |||||
} | |||||
/* | |||||
@Override | |||||
public void init() throws Exception { | |||||
System.out.println("init() method: "+ Thread.currentThread().getName()); | |||||
} | |||||
@Override | |||||
public void stop() throws Exception { | |||||
System.out.println("stop() method: "+ Thread.currentThread().getName()); | |||||
} | |||||
public static void main(String[] args) { | |||||
launch(); | |||||
}*/ | |||||
} |
@ -0,0 +1,14 @@ | |||||
package com.example.javafx; | |||||
import javafx.fxml.FXML; | |||||
import javafx.scene.control.Label; | |||||
public class HelloController { | |||||
@FXML | |||||
private Label welcomeText; | |||||
@FXML | |||||
protected void onHelloButtonClick() { | |||||
welcomeText.setText("Welcome to JavaFX Application!"); | |||||
} | |||||
} |
@ -0,0 +1,26 @@ | |||||
package com.example.javafx; | |||||
import javafx.application.Application; | |||||
import javafx.fxml.FXMLLoader; | |||||
import javafx.scene.Scene; | |||||
import javafx.stage.Stage; | |||||
import java.io.IOException; | |||||
public class StudentAplication extends Application{ | |||||
@Override | |||||
public void start(Stage stage) throws IOException { | |||||
FXMLLoader fxmlLoader = new FXMLLoader(HelloApplication.class.getResource("student-list.fxml")); | |||||
Scene scene = new Scene(fxmlLoader.load(), 400, 400); | |||||
stage.setTitle("Aplicación Estudiantes"); | |||||
stage.setScene(scene); | |||||
stage.show(); | |||||
} | |||||
public static void main(String[] args) { | |||||
launch(); | |||||
} | |||||
} |
@ -0,0 +1,66 @@ | |||||
package com.example.javafx; | |||||
import javafx.collections.FXCollections; | |||||
import javafx.fxml.FXML; | |||||
import javafx.fxml.Initializable; | |||||
import javafx.scene.control.TableColumn; | |||||
import javafx.scene.control.TableView; | |||||
import javafx.scene.control.cell.PropertyValueFactory; | |||||
import java.io.*; | |||||
import java.net.URL; | |||||
import java.util.ResourceBundle; | |||||
public class StudentController implements Initializable { | |||||
@FXML | |||||
private TableView<StudentModel> tbData; | |||||
@FXML | |||||
public TableColumn<StudentModel, Integer> studentId; | |||||
@FXML | |||||
public TableColumn<StudentModel, String> firstName; | |||||
@FXML | |||||
public TableColumn<StudentModel, Integer> studentAge; | |||||
@Override | |||||
public void initialize(URL url, ResourceBundle resources) { | |||||
File file = new File("C:\\ADA\\FichPersonas.dat"); | |||||
tbData = new TableView<>(); | |||||
try { | |||||
leerFichData(file, tbData); | |||||
studentId.setCellValueFactory(new PropertyValueFactory<>("studentId")); | |||||
firstName.setCellValueFactory(new PropertyValueFactory<>("firstName")); | |||||
studentAge.setCellValueFactory(new PropertyValueFactory<>("studentAge")); | |||||
} catch (IOException e) { | |||||
throw new RuntimeException(e); | |||||
} | |||||
/* | |||||
new StudentModel(1,"Juan","Martínez"), | |||||
new StudentModel(2,"Perico","López"), | |||||
new StudentModel(3,"Andrés","Gomez") | |||||
));*/ | |||||
} | |||||
public static void leerFichData(File fichero, TableView<StudentModel> tbData) throws IOException { | |||||
FileInputStream filein = new FileInputStream(fichero); | |||||
DataInputStream dataIS = new DataInputStream(filein); | |||||
int i; | |||||
String n; | |||||
int e; | |||||
try { | |||||
while (true) { | |||||
i = dataIS.readInt(); | |||||
n = dataIS.readUTF(); | |||||
e = dataIS.readInt(); | |||||
tbData.setItems(FXCollections.observableArrayList( | |||||
new StudentModel(i,n,e))); | |||||
} | |||||
}catch (EOFException error){ | |||||
System.out.println("error"); | |||||
} | |||||
dataIS.close(); | |||||
} | |||||
} |
@ -0,0 +1,53 @@ | |||||
package com.example.javafx; | |||||
import javafx.beans.property.SimpleIntegerProperty; | |||||
import javafx.beans.property.SimpleStringProperty; | |||||
public class StudentModel { | |||||
private SimpleIntegerProperty studentId; | |||||
private SimpleStringProperty firstName; | |||||
private SimpleIntegerProperty studentAge; | |||||
public StudentModel(Integer studentId, String firstName, Integer studentAge) { | |||||
this.studentId = new SimpleIntegerProperty(studentId); | |||||
this.firstName = new SimpleStringProperty(firstName); | |||||
this.studentAge = new SimpleIntegerProperty(studentAge); | |||||
} | |||||
public int getStudentId() { | |||||
return studentId.get(); | |||||
} | |||||
public SimpleIntegerProperty studentIdProperty() { | |||||
return studentId; | |||||
} | |||||
public void setStudentId(int studentId) { | |||||
this.studentId.set(studentId); | |||||
} | |||||
public String getFirstName() { | |||||
return firstName.get(); | |||||
} | |||||
public SimpleStringProperty firstNameProperty() { | |||||
return firstName; | |||||
} | |||||
public void setFirstName(String firstName) { | |||||
this.firstName.set(firstName); | |||||
} | |||||
public int getLastName() { | |||||
return studentAge.get(); | |||||
} | |||||
public SimpleIntegerProperty lastNameProperty() { | |||||
return studentAge; | |||||
} | |||||
public void setLastName(int lastName) { | |||||
this.studentAge.set(lastName); | |||||
} | |||||
} | |||||
@ -0,0 +1,9 @@ | |||||
module com.example.javafx { | |||||
requires javafx.controls; | |||||
requires javafx.fxml; | |||||
requires org.kordamp.bootstrapfx.core; | |||||
opens com.example.javafx to javafx.fxml; | |||||
exports com.example.javafx; | |||||
} |
@ -0,0 +1,19 @@ | |||||
<?xml version="1.0" encoding="UTF-8"?> | |||||
<?import javafx.geometry.Insets?> | |||||
<?import javafx.scene.control.Label?> | |||||
<?import javafx.scene.layout.VBox?> | |||||
<?import javafx.scene.control.Button?> | |||||
<VBox alignment="CENTER" spacing="20.0" xmlns:fx="http://javafx.com/fxml" | |||||
fx:controller="com.example.javafx.HelloController"> | |||||
<padding> | |||||
<Insets bottom="20.0" left="20.0" right="20.0" top="20.0"/> | |||||
</padding> | |||||
<Label fx:id="welcomeText"/> | |||||
<Button text="Hello!" onAction="#onHelloButtonClick"/> | |||||
< | |||||
</VBox> |
@ -0,0 +1,29 @@ | |||||
<?xml version="1.0" encoding="UTF-8"?> | |||||
<?import javafx.scene.control.*?> | |||||
<?import javafx.scene.layout.*?> | |||||
<?import javafx.geometry.Insets?> | |||||
<GridPane xmlns="http://javafx.com/javafx" | |||||
xmlns:fx="http://javafx.com/fxml" | |||||
fx:controller="com.example.javafx.StudentController" | |||||
alignment="CENTER" | |||||
hgap="10" vgap="10" | |||||
> | |||||
<padding> | |||||
<Insets top="25" right="25" bottom="10" left="25"/> | |||||
</padding> | |||||
<TableView fx:id="tbData" layoutX="20" layoutY="20" | |||||
prefWidth="800" prefHeight="400" | |||||
stylesheets="@../../../css/styles.css"> | |||||
<columns> | |||||
<TableColumn fx:id="studentId" prefWidth="75.0" text="Id" /> | |||||
<TableColumn fx:id="firstName" prefWidth="75.0" text="Nombre" /> | |||||
<TableColumn fx:id="studentAge" prefWidth="75.0" text="Edad" /> | |||||
</columns> | |||||
<columnResizePolicy> | |||||
<TableView fx:constant="CONSTRAINED_RESIZE_POLICY" /> | |||||
</columnResizePolicy> | |||||
</TableView> | |||||
</GridPane> |
@ -0,0 +1,19 @@ | |||||
<?xml version="1.0" encoding="UTF-8"?> | |||||
<?import javafx.geometry.Insets?> | |||||
<?import javafx.scene.control.Label?> | |||||
<?import javafx.scene.layout.VBox?> | |||||
<?import javafx.scene.control.Button?> | |||||
<VBox alignment="CENTER" spacing="20.0" xmlns:fx="http://javafx.com/fxml" | |||||
fx:controller="com.example.javafx.HelloController"> | |||||
<padding> | |||||
<Insets bottom="20.0" left="20.0" right="20.0" top="20.0"/> | |||||
</padding> | |||||
<Label fx:id="welcomeText"/> | |||||
<Button text="Hello!" onAction="#onHelloButtonClick"/> | |||||
< | |||||
</VBox> |
@ -0,0 +1,29 @@ | |||||
<?xml version="1.0" encoding="UTF-8"?> | |||||
<?import javafx.scene.control.*?> | |||||
<?import javafx.scene.layout.*?> | |||||
<?import javafx.geometry.Insets?> | |||||
<GridPane xmlns="http://javafx.com/javafx" | |||||
xmlns:fx="http://javafx.com/fxml" | |||||
fx:controller="com.example.javafx.StudentController" | |||||
alignment="CENTER" | |||||
hgap="10" vgap="10" | |||||
> | |||||
<padding> | |||||
<Insets top="25" right="25" bottom="10" left="25"/> | |||||
</padding> | |||||
<TableView fx:id="tbData" layoutX="20" layoutY="20" | |||||
prefWidth="800" prefHeight="400" | |||||
stylesheets="@../../../css/styles.css"> | |||||
<columns> | |||||
<TableColumn fx:id="studentId" prefWidth="75.0" text="Id" /> | |||||
<TableColumn fx:id="firstName" prefWidth="75.0" text="Nombre" /> | |||||
<TableColumn fx:id="studentAge" prefWidth="75.0" text="Edad" /> | |||||
</columns> | |||||
<columnResizePolicy> | |||||
<TableView fx:constant="CONSTRAINED_RESIZE_POLICY" /> | |||||
</columnResizePolicy> | |||||
</TableView> | |||||
</GridPane> |